//
//  CATransaction+MINTLExtension.swift
//  ControlSikenjo
//
//  Created by narita on 2018/12/05.
//  Copyright © 2018 narita. All rights reserved.
//

import AppKit
import Foundation

extension CATransaction
{
    // ローカルスコープ(クロージャーだけど)に囲い込むことで、元に戻し忘れをなくす
    public static func disableActions(closure: () -> ())
    {
        CATransaction.begin()
        CATransaction.setDisableActions(true)
        closure()
        CATransaction.commit()
    }

}
