//
//  CSShadwScrollViewViewController.swift
//  ControlSikenjo
//
//  Created by narita on 2018/12/04.
//  Copyright © 2018 narita. All rights reserved.
//

import Cocoa

class CSShadwScrollViewViewController: NSViewController
{
    // MARK: - class methods
    
    // MARK: - init methods
    
    // MARK: - dealloc
    
    // MARK: - NSCopying, hash, isEqual:
    
    // MARK: - NSCoding methods
    
    // MARK: - restorableState methods
    
    // MARK: - life cycle methods

    override func viewDidLoad()
    {
        super.viewDidLoad()
        
        // 画像データの中身に解像度が入っているがそれは嘘です。真四角のはずです。
        // それと「縦長」って描いてますが、嘘です。真四角のはずです。
        let theImage     = NSImage(named:"真四角")!
        let theImageView = NSImageView(image: theImage)
        
        theImageView.frame = NSMakeRect(0,0,theImage.size.width,theImage.size.height)

        scrollView?.documentView = theImageView
    }

    // MARK: - action methods

    @IBAction func enableBackgroundImage(_ sender: Any?)
    {        
        if let theCheckBox = sender as? NSControl
        {
            if theCheckBox.integerValue == 0
            {
                scrollView!.backgroundColor =
                    NSColor.underPageBackgroundColor
            }
            else
            {
                scrollView!.backgroundColor =
                    NSColor(patternImage: NSImage(named: "pattern.png")! )
            }
        }
    }
    
    @IBAction func showHideVScroller(_ sender: Any?)
    {
        scrollView!.hasVerticalScroller = !scrollView!.hasVerticalScroller
    }

    @IBAction func showHideHScroller(_ sender: Any?)
    {
        scrollView!.hasHorizontalScroller = !scrollView!.hasHorizontalScroller
    }
    
    @IBAction func hasTop(_ sender: Any?)
    {
        scrollView!.hasTopSide = !scrollView!.hasTopSide
    }

    @IBAction func hasLeft(_ sender: Any?)
    {
        scrollView!.hasLeftSide = !scrollView!.hasLeftSide
    }

    @IBAction func hasBottom(_ sender: Any?)
    {
        scrollView!.hasBottomSide = !scrollView!.hasBottomSide
    }

    @IBAction func hasRight(_ sender: Any?)
    {
        scrollView!.hasRightSide = !scrollView!.hasRightSide
    }

    @IBAction func chageScrollerStyle(_ sender: Any?)
    {
        if let theMenu = sender as? NSMenuItem
        {
            if theMenu.tag == 0
            {
                scrollView?.scrollerStyle = .legacy
            }
            else if theMenu.tag == 1
            {
                scrollView?.scrollerStyle = .overlay
            }
        }
    }
    
    // MARK: - event handling methods

    // MARK: - drawing methods
    
    // MARK: - delegate/datasource methods
    
    // MARK: - accessor methods (in pairs)
    
    @IBOutlet var scrollView: MINTLShadowScrollView?
    
    override var representedObject: Any?
    {
        didSet
        {
            // Update the view, if already loaded.
        }
    }
    
    // MARK: - Utility methods
}
